OperationCreateBentPlateByFaces Method (Part, IListPoint, Part, IListPoint, BentPlateBendShape) |
Modifies the first plate by adding a bend that connects it to the second plate
creating a new BentPlate instance based on two parts and selected faces in each part.
This method can change GUID when using from plug-ins.
To keep GUID, use AddLeg(ConnectiveGeometry, LineSegment, ConnectiveGeometry, LineSegment, BentPlateBendShape).
Namespace: Tekla.Structures.Model.Operations
Assembly: Tekla.Structures.Model (in Tekla.Structures.Model.dll) Version: 2023.0.3
Syntax
public static BentPlate CreateBentPlateByFaces( Part part1, IList<Point> face1, Part part2, IList<Point> face2, BentPlateBendShape bendShape )
Parameters
- part1
- Type: Tekla.Structures.ModelPart
The first part. - face1
- Type: System.Collections.GenericIListPoint
The selected face on the first part. - part2
- Type: Tekla.Structures.ModelPart
The second part. - face2
- Type: System.Collections.GenericIListPoint
The selected face on the second part. - bendShape
- Type: Tekla.Structures.ModelBentPlateBendShape
Shape of the bend (cylindrical or conical)
Return Value
Type: BentPlateThe bent plate object if successful, null otherwise.
Exceptions
Exception | Condition |
---|---|
ConnectiveGeometryException | Thrown if could not create ConnectiveGeometry instance. |
ArgumentException | Thrown when faces have incorrect number of face points or received unsupported bent plate creation input. |
See Also